textproc/p5-String-Expand - The NetBSD Packages Collection

Functions to expand variables in self-referential sets

This module implements utility functions for expanding embedded
variables in a string. Variable references are embedded in strings in
a similar form to the Bourne shell, namely, in the form $NAME or
${NAME}. In the former case, the NAME must consist of a capital letter
or underscore, and may be followed by zero or more capital letters,
digits or underscores. In the latter case, the name can consist of any
characters, but will be terminated by the first close brace character
'}'.

The string may also contain literal dollar marks, escaped by \$, and
literal escape marks, escaped by \\. These will be converted to $ and
\ respectively on return.

While there are many other modules that also provide expansion such as
this, this module provides the function expand_strings(), which will
perform variable expansions in all the values in a given hash, where
values can refer to other values within the same hash.

Build dependencies

devel/p5-Module-Build pkgtools/cwrappers

Runtime dependencies

devel/p5-Test-More-Behaviour devel/p5-Test-Exception lang/perl5 lang/perl5

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfp5-String-Expand-0.04nb6.tgz
NetBSD 8.0earmv7hfp5-String-Expand-0.04nb5.tgz
NetBSD 8.0earmv7hfp5-String-Expand-0.04nb6.tgz
NetBSD 8.0i386p5-String-Expand-0.04nb5.tgz
NetBSD 8.0i386p5-String-Expand-0.04nb6.tgz
NetBSD 8.0powerpcp5-String-Expand-0.04nb5.tgz
NetBSD 8.0powerpcp5-String-Expand-0.04nb6.tgz
NetBSD 8.0powerpcp5-String-Expand-0.04nb6.tgz
NetBSD 8.0powerpcp5-String-Expand-0.04nb6.tgz
NetBSD 8.0x86_64p5-String-Expand-0.04nb5.tgz
NetBSD 8.0x86_64p5-String-Expand-0.04nb6.tgz
NetBSD 9.0aarch64p5-String-Expand-0.04nb6.tgz
NetBSD 9.0aarch64p5-String-Expand-0.04nb5.tgz
NetBSD 9.0aarch64p5-String-Expand-0.04nb6.tgz
NetBSD 9.0alphap5-String-Expand-0.04nb6.tgz
NetBSD 9.0alphap5-String-Expand-0.04nb5.tgz
NetBSD 9.0alphap5-String-Expand-0.04nb6.tgz
NetBSD 9.0earmp5-String-Expand-0.04nb5.tgz
NetBSD 9.0earmp5-String-Expand-0.04nb6.tgz
NetBSD 9.0earmp5-String-Expand-0.04nb6.tgz
NetBSD 9.0earmv6hfp5-String-Expand-0.04nb6.tgz
NetBSD 9.0earmv6hfp5-String-Expand-0.04nb5.tgz
NetBSD 9.0earmv6hfp5-String-Expand-0.04nb6.tgz
NetBSD 9.0earmv7hfp5-String-Expand-0.04nb6.tgz
NetBSD 9.0earmv7hfp5-String-Expand-0.04nb5.tgz
NetBSD 9.0earmv7hfp5-String-Expand-0.04nb6.tgz
NetBSD 9.0earmv7hfp5-String-Expand-0.04nb6.tgz
NetBSD 9.0i386p5-String-Expand-0.04nb5.tgz
NetBSD 9.0i386p5-String-Expand-0.04nb6.tgz
NetBSD 9.0i386p5-String-Expand-0.04nb6.tgz
NetBSD 9.0mips64ebp5-String-Expand-0.04nb6.tgz
NetBSD 9.0mips64ebp5-String-Expand-0.04nb5.tgz
NetBSD 9.0mips64ebp5-String-Expand-0.04nb5.tgz
NetBSD 9.0mips64ebp5-String-Expand-0.04nb5.tgz
NetBSD 9.0mips64ebp5-String-Expand-0.04nb6.tgz
NetBSD 9.0powerpcp5-String-Expand-0.04nb6.tgz
NetBSD 9.0powerpcp5-String-Expand-0.04nb5.tgz
NetBSD 9.0powerpcp5-String-Expand-0.04nb6.tgz
NetBSD 9.0powerpcp5-String-Expand-0.04nb6.tgz
NetBSD 9.0sparc64p5-String-Expand-0.04nb6.tgz
NetBSD 9.0sparc64p5-String-Expand-0.04nb5.tgz
NetBSD 9.0sparc64p5-String-Expand-0.04nb6.tgz
NetBSD 9.0sparcp5-String-Expand-0.04nb6.tgz
NetBSD 9.0sparcp5-String-Expand-0.04nb5.tgz
NetBSD 9.0sparcp5-String-Expand-0.04nb5.tgz
NetBSD 9.0sparcp5-String-Expand-0.04nb5.tgz
NetBSD 9.0sparcp5-String-Expand-0.04nb6.tgz
NetBSD 9.0vaxp5-String-Expand-0.04nb5.tgz
NetBSD 9.0x86_64p5-String-Expand-0.04nb6.tgz
NetBSD 9.0x86_64p5-String-Expand-0.04nb6.tgz
NetBSD 9.0x86_64p5-String-Expand-0.04nb5.tgz
NetBSD 9.0x86_64p5-String-Expand-0.04nb6.tgz
NetBSD 9.0x86_64p5-String-Expand-0.04nb6.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.